Loading...
Searching...
No Matches
EmulateFloat16Math.h File Reference

Methods for dealing with float16 arithmetic using float32 math, by casting back and forth with bit tricks. More...

`#include "IR.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

bool | Halide::Internal::is_float16_transcendental (const Call *)
| Check if a call is a float16 transcendental (e.g.
Expr | Halide::Internal::lower_float16_transcendental_to_float32_equivalent (const Call *)
| Implement a float16 transcendental using the float32 equivalent.
Expr | Halide::Internal::float32_to_bfloat16 (Expr e)
| Cast to/from float and bfloat using bitwise math.
Expr | Halide::Internal::float32_to_float16 (Expr e)
Expr | Halide::Internal::float16_to_float32 (Expr e)
Expr | Halide::Internal::bfloat16_to_float32 (Expr e)
Expr | Halide::Internal::lower_float16_cast (const Cast *op)

## Detailed Description

Methods for dealing with float16 arithmetic using float32 math, by casting back and forth with bit tricks.

Definition in file EmulateFloat16Math.h.